server:
  port: 8086
spring:
  application:
    name: gateway-server
  cloud:
    config:
      name: zuul #gateway
      profile: test
      label: master
#      uri: http://localhost:7001/
      discovery:
        enabled: true
        serviceId: config-server
    gateway:
      default-filters: SaveSession
      discovery:
        locator:
          enabled: true
  session:
    store-type: none
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 50MB
  security:
    user:
      name: api
      password: 123456
#  datasource:
#    driver-class-name: com.mysql.jdbc.Driver
#    url: jdbc:mysql://rm-uf6z3z6jq11x653d77o.mysql.rds.aliyuncs.com:3306/smart_community_dev?useUnicode=true&characterEncoding=UTF-8&allowMultiQueries=true
#    username: root
#    password: DQ@0lW##kBb2+-jPZC1s$Ma0h5$9W((q
eureka:
  client:
    service-url:
      defaultZone: http://localhost:8080/eureka/


hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 180000

ribbon:
  ReadTimeout: 38000
  ConnectTimeout: 38000
  eureka.enabled: true


## Mybatis
mybatis:
  typeAliasesPackage: com.community.huiju.model
  mapperLocations: classpath:mapper/*.xml
  configuration:
    call-setters-on-nulls: true

